package jp.sourceforge.cfneo.at4ie.api;

/**
 * 要素を特定する為のElement Locatorのタイプを示したEnum。
 * @author imaitakafumi
 *
 */
public enum ElementLocatorEnum {

	IDENTIFIER("identifier"),
	ID("id"),
	NAME("name"),
	DOM("dom"),
	XPATH("xpath"),
	LINK("link"),
	OTHER("other"),
	VALUE("value");

	private String value;

	/**
	 * @param value
	 */
	private ElementLocatorEnum(String value) {
		this.value = value;
	}

	@Override
	public String toString() {
		return this.value;
	}

	/**
	 * 文字列からElementLocatorEnumを取得する。
	 * @param value
	 * @return
	 */
	public static ElementLocatorEnum get(String value) {
		ElementLocatorEnum[] items = ElementLocatorEnum.values();
		for (ElementLocatorEnum item: items) {
			if (item.toString().equals(value))
				return item;
		}
		return null;
	}
}
